validate catalog connection
curl --request POST \
--url https://engine.example.com/api/v1/catalogs/validate \
--header 'Content-Type: application/json' \
--data '
{
"configuration": {
"credential_references": {},
"options": {},
"provider": "<string>"
}
}
'import requests
url = "https://engine.example.com/api/v1/catalogs/validate"
payload = { "configuration": {
"credential_references": {},
"options": {},
"provider": "<string>"
} }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({configuration: {credential_references: {}, options: {}, provider: '<string>'}})
};
fetch('https://engine.example.com/api/v1/catalogs/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/catalogs/validate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'configuration' => [
'credential_references' => [
],
'options' => [
],
'provider' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/catalogs/validate"
payload := strings.NewReader("{\n \"configuration\": {\n \"credential_references\": {},\n \"options\": {},\n \"provider\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://engine.example.com/api/v1/catalogs/validate")
.header("Content-Type", "application/json")
.body("{\n \"configuration\": {\n \"credential_references\": {},\n \"options\": {},\n \"provider\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/catalogs/validate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"configuration\": {\n \"credential_references\": {},\n \"options\": {},\n \"provider\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"capabilities": {
"constraints": [
"<string>"
],
"namespaces": {
"alter_properties": true,
"cascade_delete": true,
"create": true,
"drop_empty": true,
"guarded_mutations": true,
"list": true,
"maximum_depth": 1,
"nested": true,
"read": true
},
"permissions_verified": true,
"provider": "<string>",
"tables": {
"add_partition_fields": true,
"alter_comment": true,
"alter_location": true,
"alter_properties": true,
"alter_sort_order": true,
"create": true,
"drop_metadata": true,
"drop_partition_fields": true,
"list": true,
"mutation_guards": {
"catalog_revision": true,
"full_metadata_revision_compare_and_swap": true,
"guarded_drop": true,
"guarded_rename": true,
"guarded_view_alter": true,
"table_identity_schema_layout": true
},
"purge_data": true,
"read": true,
"register_external": true,
"rename": true,
"rename_partition_fields": true,
"schema_evolution": {
"add_nullable_columns": true,
"add_required_columns": true,
"column_comments": true,
"column_defaults": true,
"drop_columns": true,
"generated_columns": true,
"relax_nullability": true,
"rename_columns": true,
"reorder_columns": true,
"supported_type_promotions": [
"<string>"
],
"tighten_nullability": true
},
"snapshot_history": true,
"supported_format_versions": [
1
],
"time_travel": true
},
"views": {
"alter_comment": true,
"alter_properties": true,
"create": true,
"drop_metadata": true,
"guarded_mutations": true,
"list": true,
"read": true,
"rename": true,
"replace_definition": true
}
},
"checked_at_unix_millis": 123,
"namespace_probe": {
"has_more": true,
"returned": 1
},
"valid": true
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}Validate catalog connection
validate catalog connection. POST /api/v1/catalogs/validate. Uses the same payload, validation, revision checks and response as the unified HTTP API.
validate catalog connection
curl --request POST \
--url https://engine.example.com/api/v1/catalogs/validate \
--header 'Content-Type: application/json' \
--data '
{
"configuration": {
"credential_references": {},
"options": {},
"provider": "<string>"
}
}
'import requests
url = "https://engine.example.com/api/v1/catalogs/validate"
payload = { "configuration": {
"credential_references": {},
"options": {},
"provider": "<string>"
} }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({configuration: {credential_references: {}, options: {}, provider: '<string>'}})
};
fetch('https://engine.example.com/api/v1/catalogs/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/catalogs/validate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'configuration' => [
'credential_references' => [
],
'options' => [
],
'provider' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/catalogs/validate"
payload := strings.NewReader("{\n \"configuration\": {\n \"credential_references\": {},\n \"options\": {},\n \"provider\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://engine.example.com/api/v1/catalogs/validate")
.header("Content-Type", "application/json")
.body("{\n \"configuration\": {\n \"credential_references\": {},\n \"options\": {},\n \"provider\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/catalogs/validate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"configuration\": {\n \"credential_references\": {},\n \"options\": {},\n \"provider\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"capabilities": {
"constraints": [
"<string>"
],
"namespaces": {
"alter_properties": true,
"cascade_delete": true,
"create": true,
"drop_empty": true,
"guarded_mutations": true,
"list": true,
"maximum_depth": 1,
"nested": true,
"read": true
},
"permissions_verified": true,
"provider": "<string>",
"tables": {
"add_partition_fields": true,
"alter_comment": true,
"alter_location": true,
"alter_properties": true,
"alter_sort_order": true,
"create": true,
"drop_metadata": true,
"drop_partition_fields": true,
"list": true,
"mutation_guards": {
"catalog_revision": true,
"full_metadata_revision_compare_and_swap": true,
"guarded_drop": true,
"guarded_rename": true,
"guarded_view_alter": true,
"table_identity_schema_layout": true
},
"purge_data": true,
"read": true,
"register_external": true,
"rename": true,
"rename_partition_fields": true,
"schema_evolution": {
"add_nullable_columns": true,
"add_required_columns": true,
"column_comments": true,
"column_defaults": true,
"drop_columns": true,
"generated_columns": true,
"relax_nullability": true,
"rename_columns": true,
"reorder_columns": true,
"supported_type_promotions": [
"<string>"
],
"tighten_nullability": true
},
"snapshot_history": true,
"supported_format_versions": [
1
],
"time_travel": true
},
"views": {
"alter_comment": true,
"alter_properties": true,
"create": true,
"drop_metadata": true,
"guarded_mutations": true,
"list": true,
"read": true,
"rename": true,
"replace_definition": true
}
},
"checked_at_unix_millis": 123,
"namespace_probe": {
"has_more": true,
"returned": 1
},
"valid": true
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}ReferenceApplies to: Unified engine deployments
Related guidance
Addresses and access · Request identity · Errors and recovery · Pagination and resultsLast modified on November 4, 2026